CURLOPT_MIMEPOST(3)

NAME
CURLOPT_MIMEPOST - send data from mime structure

SYNOPSIS
#include <curl/curl.h>
curl_mime *mime;
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MIMEPOST, mime);

DESCRIPTION
Pass a mime handle previously obtained from curl_mime_init(3). This setting is supported by the HTTP protocol to post forms and by the SMTP and IMAP protocols to provide the e-mail data to send/upload. This option is the preferred way of posting an HTTP form, replacing and extending the deprecated CURLOPT_HTTPPOST(3) option.

PROTOCOLS
HTTP, SMTP, IMAP.

EXAMPLE
Using this option implies the use of several mime structure building functions: see https://curl.se/libcurl/c/smtp-mime.html for a complete example.

AVAILABILITY
Since 7.56.0.

RETURN VALUE
This will return CURLE_OK.

SEE ALSO
curl_mime_init(3)